/// <reference types="pouchdb-core" />
/// <reference types="websql" />
declare function escapeBlob(str: string): string;
declare function unescapeBlob(str: string): string;
declare function stringifyDoc(doc: PouchDB.Core.IdMeta & PouchDB.Core.GetMeta): string;
declare function unstringifyDoc(doc: string, id: string, rev: string): PouchDB.Core.IdMeta & PouchDB.Core.GetMeta;
declare function qMarks(num: number): string;
declare function select(selector: string, table: string[] | string, joiner: string | boolean, where: string[] | string, orderBy?: string): string;
declare function compactRevs(revs: string[], docId: string, tx: SQLTransaction): void;
declare function websqlError(callback: (error: any) => void): (event: any) => void;
declare function getSize(opts: PouchDB.Configuration.DatabaseConfiguration): number;
export { escapeBlob, unescapeBlob, stringifyDoc, unstringifyDoc, qMarks, select, compactRevs, getSize, websqlError, };
